--- old/usr/src/man/man3c/getwd.3c	Sun Jul 27 18:01:32 2014
+++ new/usr/src/man/man3c/getwd.3c	Sun Jul 27 18:01:32 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,62 +7,58 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETWD 3C "Jul 24, 2002"
-.SH NAME
-getwd \- get current working directory pathname
-.SH SYNOPSIS
-.LP
-.nf
-#include <unistd.h>
-
-\fBchar *\fR\fBgetwd\fR(\fBchar *\fR\fIpath_name\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBgetwd()\fR function determines an absolute pathname of the current
+.Dd "Jul 21, 2014"
+.Dt GETWD 3C
+.Os
+.Sh NAME
+.Nm getwd
+.Nd get current working directory pathname
+.Sh SYNOPSIS
+.In unistd.h
+.Ft "char *"
+.Fn getwd "char *path_name"
+.Sh DESCRIPTION
+The
+.Fn getwd
+function determines an absolute pathname of the current
 working directory of the calling process, and copies that pathname into the
-array pointed to by the \fIpath_name\fR argument.
-.sp
-.LP
+array pointed to by the
+.Fa path_name
+argument.
+.Lp
 If the length of the pathname of the current working directory is greater than
-(\fIPATH_MAX\fR + 1) including the null byte, \fBgetwd()\fR fails and returns a
-null pointer.
-.SH RETURN VALUES
-.sp
-.LP
+.Pq Dv PATH_MAX + 1
+including the null byte,
+.Fn getwd
+fails and returns a null pointer.
+.Sh RETURN VALUES
 Upon successful completion, a pointer to the string containing the absolute
 pathname of the current working directory is returned.  Otherwise,
-\fBgetwd()\fR returns a null pointer and the contents of the array pointed to
-by \fIpath_name\fR are undefined.
-.SH ERRORS
-.sp
-.LP
+.Fn getwd
+returns a null pointer and the contents of the array pointed to by
+.Fa path_name
+are undefined.
+.Sh ERRORS
 No errors are defined.
-.SH USAGE
-.sp
-.LP
+.Sh USAGE
 For portability to implementations conforming to versions of the X/Open
-Portability Guide prior to SUS, \fBgetcwd\fR(3C) is preferred over this
-function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBgetcwd\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+Portability Guide prior to
+.St -xpg4.2
+or after
+.St -p1003.1-2008 ,
+.Xr getcwd 3C
+is preferred over this function.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+getcwd 3C ,
+standards 5
+.Sh STANDARDS
+The
+.Fn getwd
+interface was introduced in
+.Bx 4.0
+and
+.St -xpg4.2 .
+It was removed in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/index.3c	Sun Jul 27 18:01:33 2014
+++ new/usr/src/man/man3c/index.3c	Sun Jul 27 18:01:33 2014
@@ -1,4 +1,3 @@
-'\" te
 .\"  Copyright (c) 2002, Sun Microsystems, Inc. All Rights Reserved  Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,71 +6,71 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH INDEX 3C "Jul 24, 2002"
-.SH NAME
-index, rindex \- string operations
-.SH SYNOPSIS
-.LP
-.nf
-#include <strings.h>
-
-\fBchar *\fR\fBindex\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
-.fi
-
-.LP
-.nf
-\fBchar *\fR\fBrindex\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBindex()\fR and \fBrindex()\fR functions operate on null-terminated
-strings.
-.sp
-.LP
-The \fBindex()\fR function returns a pointer to the first occurrence of
-character \fIc\fR in string \fIs\fR.
-.sp
-.LP
-The \fBrindex()\fR function returns a pointer to the last occurrence of
-character \fIc\fR in string \fIs\fR.
-.sp
-.LP
-Both \fBindex()\fR and  \fBrindex()\fR return a null pointer if \fIc\fR does
+.Dd "Jul 20, 2014"
+.Dt INDEX 3C
+.Os
+.Sh NAME
+.Nm index, rindex
+.Nd locate character in string
+.Sh SYNOPSIS
+.In strings.h
+.Ft char *
+.Fn index "const char *s" "int c"
+.Ft char *
+.Fn rindex "const char *s" "int c"
+.Sh DESCRIPTION
+The
+.Fn index
+and
+.Fn rindex
+functions operate on null-terminated strings.
+.Lp
+The
+.Fn index
+function returns a pointer to the first occurrence of
+character
+.Fa c
+in string
+.Fa s .
+.Lp
+The
+.Fn rindex
+function returns a pointer to the last occurrence of
+character
+.Fa c
+in string
+.Fa s .
+.Lp
+Both
+.Fn index
+and
+.Fa rindex
+return a null pointer if
+.Fa c
+does
 not occur in the string. The null character terminating a string is considered
 to be part of the string.
-.SH USAGE
-.sp
-.LP
-On most modern computer systems, you can \fInot\fR use a null pointer to
-indicate a null string.  A null pointer is an error and results in an abort of
-the program.  If you wish to indicate a null string, you must use a pointer
-that points to an explicit null string.  On some machines and with some
-implementations of the C programming language, a null pointer, if dereferenced,
-would yield a null string.  Though often used, this practice is not always
-portable. Programmers using a null pointer to represent an empty string should
-be aware of this portability issue.  Even on machines where dereferencing a
-null pointer does not cause an abort of the program, it does not necessarily
-yield a null string.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBbstring\fR(3C), \fBmalloc\fR(3C), \fBstring\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Sh USAGE
+The
+.Xr strchr 3C
+and
+.Xr strrchr 3C
+should be used in portable applications; those functions are specified in
+.St -isoC
+whereas these are not.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Async-Signal-Safe .
+.Sh SEE ALSO
+.Xr bstring 3C ,
+.Xr malloc 3C ,
+.Xr string 3C ,
+.Xr standards 5
+.Sh STANDARDS
+These functions were part of
+.At v6 ,
+were added in
+.St -p1003.1-2001 ,
+and subsequently removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/makecontext.3c	Sun Jul 27 18:01:33 2014
+++ new/usr/src/man/man3c/makecontext.3c	Sun Jul 27 18:01:33 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 1989 AT&T.  Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.  Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,93 +7,96 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MAKECONTEXT 3C "Mar 8, 2004"
-.SH NAME
-makecontext, swapcontext \- manipulate user contexts
-.SH SYNOPSIS
-.LP
-.nf
-#include <ucontext.h>
-
-\fBvoid\fR \fBmakecontext\fR(\fBucontext_t *\fR\fIucp\fR, \fBvoid (*\fR\fIfunc\fR)(), \fBint\fR \fIargc\fR...);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBswapcontext\fR(\fBucontext_t *restrict\fR \fIoucp\fR,
-     \fBconst ucontext_t *restrict\fR \fIucp\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBmakecontext()\fR function modifies the context specified by \fIucp\fR,
-which has been initialized using \fBgetcontext\fR(2). When this context is
-resumed using \fBswapcontext()\fR or \fBsetcontext\fR(2), execution continues
-by calling the function \fIfunc\fR, passing it the arguments that follow
-\fIargc\fR in the \fBmakecontext()\fR call. The value of \fIargc\fR must match
-the number of pointer-sized integer arguments passed to \fIfunc\fR, otherwise
-the behavior is undefined.
-.sp
-.LP
-Before a call is made to \fBmakecontext()\fR, the context being modified should
+.Dd "Jul 14, 2014"
+.Dt MAKECONTEXT 3C
+.Os
+.Sh NAME
+.Nm makecontext, swapcontext
+.Nd manipulate user contexts
+.Sh SYNOPSIS
+.In ucontext.h
+.Ft void
+.Fn makecontext "ucontext_t *ucp" "void \*(lp*func\*(rp\*(lp\*(rp, int argc, ..."
+.Ft int
+.Fn swapcontext "ucontext_t *restrict oucp" "const ucontext_t *restrict ucp"
+.Sh DESCRIPTION
+The
+.Fn makecontext
+function modifies the context specified by
+.Fa ucp ,
+which has been initialized using
+.Xr getcontext 2 .
+When this context is
+resumed using
+.Fn swapcontext
+or
+.Xr setcontext 2 ,
+execution continues by calling the function
+.Fa func ,
+passing it the arguments that follow
+.Fa argc
+in the
+.Fn makecontext
+call. The value of
+.Fa argc
+must match the number of pointer-sized integer arguments passed to
+.Fn func ,
+otherwise the behavior is undefined.
+.Lp
+Before a call is made to
+.Fn makecontext ,
+the context being modified should
 have a stack allocated for it. The stack is assigned to the context by
-initializing the \fBuc_stack\fR member.
-.sp
-.LP
-The \fBuc_link\fR member is used to determine the context that will be resumed
-when the context being modified by \fBmakecontext()\fR returns.  The
-\fBuc_link\fR member should be initialized prior to the call to
-\fBmakecontext()\fR. If the \fBuc_link\fR member is initialized to \fINULL\fR,
-the thread executing \fIfunc\fR will exit when \fIfunc\fR returns. See
-\fBpthread_exit\fR(3C).
-.sp
-.LP
-The \fBswapcontext()\fR function saves the current context in the context
-structure pointed to by \fIoucp\fR and sets the context to the context
-structure pointed to by \fIucp\fR.
-.sp
-.LP
-If the \fIucp\fR or \fIoucp\fR argument points to an invalid address, the
-behavior is undefined and \fBerrno\fR may be set to \fBEFAULT\fR.
-.SH RETURN VALUES
-.sp
-.LP
-On successful completion, \fBswapcontext()\fR returns \fB0\fR. Otherwise,
-\fB\(mi1\fR is returned and \fBerrno\fR is set to indicate the error.
-.SH ERRORS
-.sp
-.LP
-The \fBswapcontext()\fR function will fail if:
-.sp
-.ne 2
-.na
-\fB\fBENOMEM\fR\fR
-.ad
-.RS 10n
-The \fIucp\fR argument does not have enough stack left to complete the
-operation.
-.RE
-
-.sp
-.LP
-The \fBswapcontext()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEFAULT\fR\fR
-.ad
-.RS 10n
-The \fIucp\fR or \fIoucp\fR argument points to an invalid address.
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRAlternate execution context on a stack whose memory was
-allocated using \fBmmap()\fR.
-.sp
-.in +2
-.nf
+initializing the
+.Fa uc_stack
+member.
+.Lp
+The
+.Fa uc_link
+member is used to determine the context that will be resumed
+when the context being modified by
+.Fn makecontext
+returns.  The
+.Fa uc_link
+member should be initialized prior to the call to
+.Fn makecontext .
+If the
+.Fa uc_link
+member is initialized to
+.Dv NULL ,
+the thread executing
+.Fa func
+will exit when
+.Fa func
+returns. See
+.Xr pthread_exit 3C .
+.Lp
+The
+.Fn swapcontext
+function saves the current context in the context
+structure pointed to by
+.Fa oucp
+and sets the context to the context
+structure pointed to by
+.Fa ucp .
+.Lp
+If the
+.Fa ucp
+or
+.Fa oucp
+argument points to an invalid address, the
+behavior is undefined and
+.Va errno
+may be set to
+.Er EFAULT .
+.Sh RETURN VALUES
+.Rv -std swapcontext
+.Sh EXAMPLES
+.Ss Example 1
+The following example illustrates execution context on a stack whose memory was
+allocated using
+.Xr  mmap 2 :
+.Bd -literal -offset indent
 #include <stdio.h>
 #include <ucontext.h>
 #include <sys/mman.h>
@@ -128,76 +131,90 @@
 
         return (0);
 }
-.fi
-.in -2
-
-.SH USAGE
-.sp
-.LP
+.Ed
+.Sh ERRORS
+The
+.Fn swapcontext
+function will fail if:
+.Bl -tag -width Er
+.It Er ENOMEM
+The
+.Fa ucp
+argument does not have enough stack left to complete the operation.
+.El
+.Lp
+The
+.Fn swapcontext
+function may fail if:
+.Bl -tag -width Er
+.It Er EFAULT
+The
+.Fa ucp
+or
+.Fa oucp
+argument points to an invalid address.
+.El
+.Sh USAGE
 These functions are useful for implementing user-level context switching
 between multiple threads of control within a process (co-processing). More
 effective multiple threads of control can be obtained by using native support
-for multithreading. See \fBthreads\fR(5).
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	MT-Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBmmap\fR(2), \fBgetcontext\fR(2), \fBsigaction\fR(2), \fBsigprocmask\fR(2),
-\fBpthread_exit\fR(3C), \fBucontext.h\fR(3HEAD), \fBattributes\fR(5),
-\fBstandards\fR(5), \fBthreads\fR(5)
-.SH NOTES
-.sp
-.LP
-The semantics of the \fBuc_stack\fR member of the \fBucontext_t\fR structure
-have changed as they apply to inputs to \fBmakecontext()\fR. Prior to Solaris
-10, the \fBss_sp\fR member of the \fBuc_stack\fR structure represented the high
+for multithreading. See
+.Xr pthreads 5 .
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr mmap 2 ,
+.Xr getcontext 2 ,
+.Xr sigaction 2 ,
+.Xr sigprocmask 2 ,
+.Xr pthread_exit 3C ,
+.Xr ucontext.h 3HEAD ,
+.Xr standards 5 ,
+.Xr pthreads 5
+.Sh NOTES
+The semantics of the
+.Fa uc_stack
+member of the
+.Ft ucontext_t
+structure have changed as they apply to inputs to
+.Fn makecontex .
+Prior to Solaris 10, the
+.Fa ss_sp
+member of the
+.Fa uc_stack
+structure represented the high
 memory address of the area reserved for the stack. The \fBss_sp\fR member now
 represents the base (low memory address), in keeping with other uses of
-\fBss_sp\fR.
-.sp
-.LP
-This change in the meaning of \fBss_sp\fR is now the default behavior. The
-\fB-D__MAKECONTEXT_V2_SOURCE\fR compilation flag used in Solaris 9 update
+.Fa ss_sp .
+.Lp
+This change in the meaning of
+.Fa ss_sp
+is now the default behavior. The
+.Dv -D__MAKECONTEXT_V2_SOURCE
+compilation flag used in Solaris 9 update
 releases to access this behavior is obsolete.
-.sp
-.LP
+.Lp
 Binary compatibility has been preserved with releases prior to Solaris 10.
-Before recompiling, applications that use \fBmakecontext()\fR must be updated
-to reflect this behavior change. The example below demonstates a typical change
-that must be applied:
-.sp
-.in +2
-.nf
---- example1_s9.c       Thu Oct  3 11:58:17 2002
-+++ example1.c  Thu Jun 27 13:28:16 2002
-@@ -27,12 +27,9 @@
-        uc.uc_stack.ss_sp = mmap(0, sz,
-            PROT_READ | PROT_WRITE | PROT_EXEC,
-            MAP_PRIVATE | MAP_ANON, -1, 0);
--       uc.uc_stack.ss_sp = (char *)uc.uc_stack.ss_sp + sz - 8;
-        uc.uc_stack.ss_size = sz;
-        uc.uc_stack.ss_flags = 0;
-
-        uc.uc_link = &back
-
-        makecontext(&uc, assign, 2, 100L, &value);
-.fi
-.in -2
-
+Before recompiling, applications that use
+.Fn makecontext
+must be updated
+to reflect this behavior change.
+.Lp
+Portable applications should not use this function. Instead, applications
+should use
+.Xr pthreads 5
+routines.
+.Lp
+Note that the definition of
+.Fn makecontext
+violates
+.St -isoC .
+There is no way to declare this function that does not violate that
+standard.
+.Sh STANDARDS
+This function  was introduced in
+.St -xpg4.2 ,
+and subsequently removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/mktemp.3c	Sun Jul 27 18:01:33 2014
+++ new/usr/src/man/man3c/mktemp.3c	Sun Jul 27 18:01:33 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
@@ -9,81 +9,78 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MKTEMP 3C "Sep 15, 2004"
-.SH NAME
-mktemp \- make a unique file name  from a template
-.SH SYNOPSIS
-.LP
-.nf
-#include <stdlib.h>
-
-\fBchar *\fR\fBmktemp\fR(\fBchar *\fR\fItemplate\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBmktemp()\fR function replaces the contents of the string pointed to by
-\fItemplate\fR with a unique file name, and returns \fItemplate\fR. The string
-in \fItemplate\fR should look like a file name with six trailing 'X's;
-\fBmktemp()\fR will replace the 'X's with a character string that can be used
+.Dd "Jul 21, 2014"
+.Dt MKTEMP 3C
+.Os
+.Sh NAME
+.Nm mktemp
+.Nd make a unique file name  from a template
+.Sh SYNOPSIS
+.In stdlib.h
+.Ft "char *"
+.Fn mktemp "char *template"
+.Sh DESCRIPTION
+The
+.Fn mktemp
+function replaces the contents of the string pointed to by
+.Fa template
+with a unique file name, and returns
+.Fa template .
+The string in
+.Fa template
+should look like a file name with six trailing
+.So X Sc Ns s ;
+.Fn mktemp
+will replace the
+.So X Sc Ns s
+with a character string that can be used
 to create a unique file name. Only 26 unique file names per thread can be
-created for each unique \fItemplate\fR.
-.SH RETURN VALUES
-.sp
-.LP
-The \fBmktemp()\fR function returns a pointer to the \fItemplate\fR on success
-and \fBNULL\fR if unique name cannot be created.
-.SH ERRORS
-.sp
-.LP
-No errors are defined.
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRGenerate a filename.
-.sp
-.LP
+created for each unique
+.Fa template .
+.Sh RETURN VALUES
+The
+.Fn mktemp
+function returns a pointer to the
+.Fa template
+on success and
+.Dv NULL
+if unique name cannot be created.
+.Sh EXAMPLES
+.Ss Example 1 Generate a filename.
 The following example replaces the contents of the "template" string with a
 10-character filename beginning with the characters "file" and returns a
 pointer to the "template" string that contains the new filename.
-
-.sp
-.in +2
-.nf
+.Bd -literal -offset indent
 #include <stdlib.h>
 \&...
 char template[] = "/tmp/fileXXXXXX";
 char *ptr;
 ptr = mktemp(template);
-.fi
-.in -2
-
-.SH USAGE
-.sp
-.LP
+.Ed
+.Sh ERRORS
+No errors are defined.
+.Sh SECURITY
 Between the time a pathname is created and the file opened, it is possible for
-some other process to create a file with the same name. The \fBmkstemp\fR(3C)
+some other process to create a file with the same name. The
+.Xr mkstemp 3C
 function avoids this problem and is preferred over this function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBmkstemp\fR(3C), \fBtmpfile\fR(3C), \fBtmpnam\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr mkstemp 3C ,
+.Xr tmpfile 3C ,
+.Xr tmpnam 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn mktemp
+function was introduced in
+.At v7
+and subsequently standardized in
+.St -xpg4.2 .
+It was obsoleted in
+.St -p1003.1-2001 ,
+and removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/newlocale.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/newlocale.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,3 @@
-'\" te
 .\"
 .\" This file and its contents are supplied under the terms of the
 .\" Common Development and Distribution License ("CDDL"), version 1.0.
@@ -13,179 +12,184 @@
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH NEWLOCALE 3C "Jun 23, 2014"
-.SH NAME
-duplocale, freelocale, newlocale \- create, duplicate, and destroy locale objects
-.SH SYNOPSIS
-.LP
-.nf
-#include <locale.h>
-
-\fBlocale_t\fR \fBnewlocale\fR(\fBint\fR \fIcategory_mask\fR, \fBconst char *\fR \fIlocale\fR,
-    \fBlocale_t\fR \fIbase\fR);
-.fi
-.LP
-.nf
-\fBlocale_t\fR \fBduplocale\fR(\fBlocale_t\fR \fIloc\fR);
-.fi
-.LP
-.nf
-\fBvoid\fR \fBfreelocale\fR(\fBlocale_t\fR \fIloc\fR);
-.fi
-.SH DESCRIPTION
-.LP
-These functions manipulate locale objects that can be used
-.BR uselocale (3C)
+.Dd "Jul 23, 2014"
+.Dt NEWLOCALE 3C
+.Os
+.Sh NAME
+.Nm duplocale ,
+.Nm freelocale ,
+.Nm newlocale
+.Nd create, duplicate, and destroy locale objects
+.Sh SYNOPSIS
+.In locale.h
+.
+.Ft locale_t
+.Fo newlocale
+.Fa "int category_mask"
+.Fa "const char *locale"
+.Fa "locale_t base"
+.Fc
+.
+.Ft locale_t
+.Fo duplocale
+.Fa "locale_t loc"
+.Fc
+.
+.Ft void
+.Fo freelocale
+.Fa "locale_t loc"
+.Fc
+.Sh DESCRIPTION
+These functions manipulate locale objects that can be used with
+.Xr uselocale 3C
 and functions that take arguments of type
-.BR locale_t .
-.LP
-The function
-.B newlocale()
+.Vt locale_t .
+.Lp
+The
+.Fn newlocale
+function
 can be used to create a new locale object. It can also be used to modify an
-existing locale object, the new locale object will be a replacement for the
+existing locale object; the new locale object will be a replacement for the
 modified locale object. To create a new locale, the argument
-.I base
+.Fa base
 should be passed the special argument
-.RB ( locale_t )0.
+.Po Vt locale_t Pc 0.
 This will use a copy of the current global locale as a starting point. To modify
 an existing locale object, it should be passed in as the argument
-.IR base .
+.Fa base .
 The new locale object is constructed by taking the categories specified in
-.I category_mask
+.Fa category_mask
 from the locale specified by the string
-.IR locale ,
+.Fa locale ,
 and filling in the remaining categories from the locale
-.IR base .
+.Fa base .
 When
-.B newlocale()
+.Fn newlocale
 returns, callers must no longer use
-.IR base
-and assume that
-.BR freelocale (3C)
-has been called on it. In addition to locales defined on the system, the
+.Fa base .
+They should assume that
+.Fn freelocale
+has been called on it.
+.Lp
+In addition to locales defined on the system, the
 following three locales may always be passed in as the string
-.IR locale :
-.TP
-"C"
+.Fa locale :
+.Bl -tag -offset indent -width Dq
+.It \\"C\\"
 Specifies the traditional UNIX system behavior.
-.TP
-"POSIX"
+.It \\"POSIX\\"
 An alternate name fo the locale "C".
-.TP
-""
+.It \\"\\"
 Indicates that the locale should be processed based in the values in the
 environment. See
-.BR setlocale (3C)
+.Xr setlocale 3C
 and
-.BR environ (5)
+.Xr environ 5
 for more information.
-.LP
+.El
+.Lp
 The value of
-.I category_mask
+.Fa category_mask
 is a bitwise-inclusive or of the following macros which correspond to categories
 as defined in
-.BR locale (5)
+.Xr locale 5
 and
-.BR environ (5):
-.TP
-.B LC_CTYPE_MASK
+.Xr environ 5 :
+.Bl -tag -offset indent -width Dv
+.It Dv LC_CTYPE_MASK
 Character classification and case conversion.
-.TP
-.B LC_NUMERIC_MASK
+.It Dv LC_NUMERIC_MASK
 Numeric formatting.
-.TP
-.B LC_TIME_MASK
+.It Dv LC_TIME_MASK
 Date and time formatting.
-.TP
-.B LC_COLLATE_MASK
+.It Dv LC_COLLATE_MASK
 Collation order.
-.TP
-.B LC_MONETARY_MASK
+.It Dv LC_MONETARY_MASK
 Monetary formatting.
-.TP
-.B LC_MESSAGES_MASK
+.It Dv LC_MESSAGES_MASK
 Formats of informative and diagnostic messages and interactive responses.
-.TP
-.B LC_ALL_MASK
+.It Dv LC_ALL_MASK
 Mask of all categories.
-.LP
-The function
-.B duplocale()
-duplicates the locale object specified by
-.IR loc .
+.El
+.Lp
+The
+.Fn duplocale
+function duplicates the locale object specified by
+.Fa loc .
 If the locale object passed is
-.BR LC_GLOBAL_LOCALE ,
-.B duplocale()
+.Dv LC_GLOBAL_LOCALE ,
+.Fn duplocale
 creates a copy of the current global locale as defined through calls to
-.BR setlocale (3C).
-.LP
-The function
-.B freelocale()
-removes and releases all resources associated with the locale object
-.IR loc .
+.Xr setlocale 3C .
+.Lp
+The
+.Fn freelocale
+function removes and releases all resources associated with the locale object
+.Fa loc .
 Programs must not call
-.B freelocale()
+.Fn freelocale
 on
-.BR LC_GLOBAL_LOCALE .
-.SH RETURN VALUES
-.LP
+.Dv LC_GLOBAL_LOCALE .
+.Sh RETURN VALUES
 On success, the functions
-.B newlocale()
+.Fn newlocale
 and
-.B duplocale()
+.Fn duplocale
 return a new locale object that can be used with functions that take a
-.BR locale_t .
+.Vt locale_t .
 Locale objects created this way should be freed with
-.BR freelocale() .
+.Fn freelocale .
 On error, the functions
-.B newlocale()
+.Fn newlocale
 and
-.B duplocale()
+.Fn duplocale
 return
-.BR (locale_t) 0
+.Po Vt locale_t Pc 0
 and
-.B errno
+.Va errno
 is set to indicate the error. The
-.B freelocale()
+.Fn freelocale
 function does not set
-.B errno.
-.SH ERRORS
-.LP
+.Va errno .
+.Sh ERRORS
 The
-.B newlocale()
+.Fn newlocale
 and
-.B duplocale()
+.Fn duplocale
 functions will fail if:
-.TP
-.B ENOMEM
+.Bl -tag -width Er
+.It Er ENOMEM
 Insufficient memory was available to create the locale object or to load the
 requested locale data.
-.LP
+.El
+.Lp
 The
-.B newlocale()
+.Fn newlocale
 function will fail if:
-.TP
-.B EINVAL
+.Bl -tag -width Er
+.It Er EINVAL
 An unknown bit is specified in
-.IR category_mask .
-.TP
-.B ENOENT
+.Fa category_mask .
+.It Er ENOENT
 Locale data was not found for a category specified in
-.SH ATTRIBUTES
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.BR locale (1),
-.BR setlocale (3C),
-.BR uselocale (3C),
-.BR environ (5),
-.BR locale (5)
+.Fa category_mask .
+.El
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr locale 1 ,
+.Xr setlocale 3C ,
+.Xr uselocale 3C ,
+.Xr locale.h 3HEAD  ,
+.Xr environ 5 ,
+.Xr locale 5
+.Sh STANDARDS
+The
+.Fn newlocale ,
+.Fn duplocale ,
+and
+.Fn freelocale
+functions were introduced in
+.St -p1003.1-2008 .
